package com.hh.lib_print;

/**
 * @Description:
 * @author: Xia WeiHao
 * @date: 2024/7/1
 */
public enum PrintType {
    DEFAULT(-1),TB(1),MLA80(2),MLAFCDD215(3);



    private int value;
    PrintType(int value){
        this.value = value;
    }
    public int getValue() {
        return value;
    }

    public static PrintType fromValue(int value) {
        for (PrintType type : PrintType.values()) {
            if (type.getValue() == value) {
                return type;
            }
        }
        return DEFAULT; // 或者抛出一个异常，如果你确定这种情况不应该发生
    }
}
